For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a mapping between two schemas
      • DELDelete all history for the authenticated user
      • GETList mapping programs
      • GETGet a mapping program
      • PATCHUpdate a mapping program
      • DELDelete a mapping program
      • POSTAdd mapping rules to a program
      • DELDelete multiple mapping rules
      • GETList mapping rules
      • GETGet a mapping rule
      • PATCHUpdate a mapping rule
      • PATCHUpdate a list of mapping rules
      • DELDelete a mapping rule
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceMapping

List mapping rules

GET
https://api.x.flatfile.com/v1/mapping/:programId/rules
GET
/v1/mapping/:programId/rules
$curl https://api.x.flatfile.com/v1/mapping/us_mp_YOUR_ID/rules \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "createdAt": "2021-01-01T00:00:00Z",
5 "id": "mapping-rule-id",
6 "name": "Assign mapping rule",
7 "type": "assign",
8 "updatedAt": "2021-01-01T00:00:00Z",
9 "confidence": 1,
10 "config": {},
11 "createdBy": "us_usr_YOUR_ID",
12 "metadata": {}
13 }
14 ]
15}
List all mapping rules in a program
Was this page helpful?
Previous

Get a mapping rule

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

programIdstringRequired
ID of the program

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error